Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002616TestLinkIntegration with Other Systemspublic2009-06-15 17:442010-10-09 08:01
Reporterpostb99 
Assigned Tofman 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8.2 
Fixed in Version1.9 Beta 6 
Summary0002616: BTS and wrong DB type definition : php fatal error instead of user-friendly error
DescriptionRather than having a file include check and a failure message if not found, here is what I get when I define :

define('BUG_TRACK_DB_TYPE', 'mysql1'); instead of :
define('BUG_TRACK_DB_TYPE', 'mysql');

in file cfg/redmine.cfg.php

Fatal error: require_once() [function.require]: Failed opening required 'ADODB_mysql1.class.php' (include_path='.;C:\xampp\php\pear\;.;C:\xampp\htdocs\testlink\lib\functions\') in C:\xampp\htdocs\testlink\lib\functions\common.php on line 113

I also got it when leaving '[CONFIGURE_BUG_TRACK_DB_TYPE]'.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
BrowserFirefox 3
PHP Version5.2.9
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0007307)
mhavlat (reporter)
2009-06-19 23:13

You are definitely right. It's cosmetic issue, but a little robustness makes it better.
(0011794)
fman (administrator)
2010-10-09 08:01

Release 1.9 RC1

- Issue History
Date Modified Username Field Change
2009-06-15 17:44 postb99 New Issue
2009-06-15 17:44 postb99 Browser => Firefox 3
2009-06-15 17:44 postb99 PHP Version => 5.2.9
2009-06-19 23:13 mhavlat Note Added: 0007307
2010-09-12 12:37 fman Status new => resolved
2010-09-12 12:37 fman Fixed in Version => 1.9 Beta 6
2010-09-12 12:37 fman Resolution open => fixed
2010-09-12 12:37 fman Assigned To => fman
2010-10-09 08:01 fman Note Added: 0011794
2010-10-09 08:01 fman Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker